Package org.eclipse.gef.fx.nodes

## Class AbstractRouter.VolatileStaticAnchor

- java.lang.Object
- - org.eclipse.gef.fx.anchors.AbstractAnchor
  - - org.eclipse.gef.fx.anchors.StaticAnchor
    - - org.eclipse.gef.fx.nodes.AbstractRouter.VolatileStaticAnchor

All Implemented Interfaces:
  `IAnchor`

Enclosing class:
  AbstractRouter

    protected static class AbstractRouter.VolatileStaticAnchor
    extends StaticAnchor

The `AbstractRouter.VolatileStaticAnchor` is a `StaticAnchor` that may be inserted by an `AbstractRouter` during `route(Connection)`, and, hence, will be removed when routing is performed again. A subtype is used so that the inserted anchors can easily be identified.

### Constructor Summary

Constructors
`VolatileStaticAnchor​(Connection connection, Point referencePositionInAnchorageLocal)` Constructs a new `AbstractRouter.VolatileStaticAnchor`.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `toString()`

### Methods inherited from class org.eclipse.gef.fx.anchors.StaticAnchor

`computePosition, getReferencePosition, referencePositionProperty, setReferencePosition`

### Methods inherited from class org.eclipse.gef.fx.anchors.AbstractAnchor

`anchorageProperty, attach, detach, getAnchorage, getKeys, getKeysByNode, getPosition, getPositionsUnmodifiable, isAttached, positionsUnmodifiableProperty, registerVCL, registerVCLs, setAnchorage, unregisterVCL, unregisterVCLs, updatePosition, updatePositions`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VolatileStaticAnchor

    public VolatileStaticAnchor​(Connection connection,
                                Point referencePositionInAnchorageLocal)

Constructs a new `AbstractRouter.VolatileStaticAnchor`. Uses the given `Connection` as the anchorage, and the given `Point` as the `reference position`.

Parameters:
  `connection` - The `Connection` that serves as the anchorage for this `AbstractRouter.VolatileStaticAnchor`.
  `referencePositionInAnchorageLocal` - The `Point` that specifies the `reference position` for this `AbstractRouter.VolatileStaticAnchor`, interpreted in the local coordinate system of the `Connection`.

### Method Detail

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `StaticAnchor`